Package: groovy.org.codenarc.ruleregistry

## [Groovy] Class PropertiesFileRuleRegistry

- groovy.org.codenarc.ruleregistry.PropertiesFileRuleRegistry

- All Implemented Interfaces and Traits:
    RuleRegistry

      class PropertiesFileRuleRegistry

  Implementation of RuleRegistry that loads the rules from the 'codenarc-base-rules.properties' properties file.

  See Also:
    org.codenarc.tool.GenerateCodeNarcRulesProperties
  Authors:
    Chris Mair

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static def` | `PROPERTIES_FILE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertiesFileRuleRegistry ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Class` | `getRuleClass(String ruleName)` Return the Rule Class for the specified name or else null

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final def PROPERTIES_FILE

  - ### Constructor Detail

    - #### PropertiesFileRuleRegistry()

  - ### Method Detail

    - #### Class getRuleClass(String ruleName)

      Return the Rule Class for the specified name or else null

      Parameters:
        `ruleName` - - the rule name
      Returns:
        the associated Rule Class or null if no Rule has been registered for the specified name